use 数据.dta, clear
set more off

                                    ******一、基础回归******
*（一）不可测环境10分组
								
*1.学校质量与影子教育的回归

   preserve 
   reg school hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg school hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu sch_v10 , r
   reg expen hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu  , r
   reg expen hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu expen_v10 , r
   restore
 
*2.学习成绩的回归
   preserve 
   reg chengji hukou gender only fedu medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10, r
   restore
   
*3.计算机会不平等   
   
   preserve 
   set more off
   inequal7 school expen chengji
   iop school hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu) // 
  
   iop school hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu  sch_v10, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu,  sch_v10) // 
 
   iop expen hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu) // 
  
   iop expen hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu expen_v10, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu,  expen_v10) // 

   iop chengji hukou gender only fedu medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu) // 
  
   iop chengji hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu  chengji1_v10, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu,  chengji1_v10) // 
 
   iop chengji hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu, intelligence, school, expen) // 
  
   iop chengji hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10, bootstrap(100) ///
   shapley(fg1r) sgroups(hukou, gender, only, fedu medu , fwork1 fwork2 mwork1 mwork2, xibu zhongbu, intelligence, school, expen, chengji2_v10) // 
    
   restore
          
*（二）不可测环境8分组

*1.学校质量与影子教育的回归

   preserve 
   reg school hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg school hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu sch_v8 , r
   reg expen hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu  , r
   reg expen hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu expen_v8 , r
   restore
 
*2.学习成绩的回归
   preserve 
   set more off
   reg chengji hukou gender only fedu medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v8 , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v8, r
   restore

*（三）不可测环境12分组

*1.学校质量与影子教育的回归

   preserve 
   reg school hukou gender only fedu  medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg school hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu sch_v12 , r
   reg expen hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu  , r
   reg expen hukou gender only fedu  medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu expen_v12 , r
   restore
 
*2.学习成绩的回归
   preserve 
   set more off
   reg chengji hukou gender only fedu medu  fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v12 , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen , r
   reg chengji hukou gender only  fedu medu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v12, r
   restore

   
                                    *******二、环境对努力的影响******
   preserve
   probit nuli1 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   probit nuli1 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen , r
   probit nuli2 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   probit nuli2 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen , r
   reg studyhour hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu , r
   reg studyhour hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen , r
   restore						
								
		  
		  
                                      *******三、努力和环境对成绩的影响******
*1.Roemer情境
preserve   
set more off
reg chengji e_nuli1 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
reg chengji e2_nuli1 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10 , r
reg chengji e_nuli2 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
reg chengji e2_nuli2 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10 , r
reg chengji e_studyhour hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
reg chengji e2_studyhour hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10 , r
restore

*2.Barry情境                                       
   preserve   
   set more off
   reg chengji nuli1 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
   reg chengji nuli1 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10 , r
   reg chengji nuli2 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
   reg chengji nuli2 hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10 , r
   reg chengji studyhour hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu chengji1_v10 , r
   reg chengji studyhour hukou gender only medu fedu fwork1 fwork2 mwork1 mwork2 xibu zhongbu intelligence school expen chengji2_v10 , r
   restore
									   
									   
									 